## org.apache.poi.hwpf.model
Class Hyphenation

    java.lang.Object
      org.apache.poi.hwpf.model.types.HRESIAbstractType
          org.apache.poi.hwpf.model.Hyphenation

All Implemented Interfaces:
  java.lang.Cloneable

    @Internal
    public final class Hyphenation

extends HRESIAbstractType
implements java.lang.Cloneable

Hyphenation. Substructure of the `CharacterProperties`.

Author:
  Sergey Vladimirov ( vlsergey {at} gmail {dot} com )

Field Summary

Fields inherited from class org.apache.poi.hwpf.model.types.HRESIAbstractType
`field_1_hres, field_2_chHres, HRES_ADD_LETTER_BEFORE, HRES_CHANGE_LETTER_AFTER, HRES_CHANGE_LETTER_BEFORE, HRES_DELETE_BEFORE_CHANGE_BEFORE, HRES_DELETE_LETTER_BEFORE, HRES_NO, HRES_NORMAL`

Constructor Summary
`Hyphenation()`
`Hyphenation(short hres)`

Method Summary
`Hyphenation` `clone()`
`boolean` `equals(java.lang.Object obj)`
`short` `getValue()`
`int` `hashCode()`
`boolean` `isEmpty()`
`java.lang.String` `toString()`

Methods inherited from class org.apache.poi.hwpf.model.types.HRESIAbstractType
`fillFields, getChHres, getHres, getSize, serialize, setChHres, setHres`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Hyphenation

    public Hyphenation()

### Hyphenation

    public Hyphenation(short hres)

Method Detail

### clone

    public Hyphenation clone()

  Overrides:
    `clone` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### getValue

    public short getValue()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### isEmpty

    public boolean isEmpty()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `HRESIAbstractType`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.